您尚未登录。

#1 2023-10-10 20:43:01

BreadCat209
K.I.S.S.
注册时间: 2023-09-09
帖子: 111

[已解决]archinstall问题

我在用archinstall给U盘做to go系统时,报错,提示信息如下

Press Enter to continue.
! Formatting /dev/sdb in
5....4....3....2....1....
Unmounting all existing partitions: /dev/sdb
Wiping partitions and metadata: /dev/sdb
Creating partitions: /dev/sdb
Unmounting all existing partitions: /dev/sdb
Formatting filesystem: /usr/bin/mkfs.fat -F32 /dev/sdb1
Could not format /dev/sdb1 with fat32: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]: config)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 302, in format
    self._perform_formatting(part_mod.safe_fs_type, part_mod.safe_dev_path)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 230, in _perform_formatting
    raise DiskError(msg) from err
archinstall.lib.exceptions.DiskError: Could not format /dev/sdb1 with fat32: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]:

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 226, in _perform_formatting
    SysCommand(f"/usr/bin/{command} {options_str} {path}")
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 365, in __init__
    self.create_session()
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 414, in create_session
    with SysCommandWorker(
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 197, in __exit__
    raise SysCallError(
archinstall.lib.exceptions.SysCallError: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]: config)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 302, in format
    self._perform_formatting(part_mod.safe_fs_type, part_mod.safe_dev_path)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 230, in _perform_formatting
    raise DiskError(msg) from err
archinstall.lib.exceptions.DiskError: Could not format /dev/sdb1 with fat32: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]:


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/bin/archinstall", line 8, in <module>
    sys.exit(run_as_a_module())
             ^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/archinstall/__init__.py", line 291, in run_as_a_module
    importlib.import_module(mod_name)
  File "/usr/lib/python3.11/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1204, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1176, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1147, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 690, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 940, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.11/site-packages/archinstall/scripts/guided.py", line 254, in <module>
    fs_handler.perform_filesystem_operations()
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/filesystem.py", line 55, in perform_filesystem_operations
    device_handler.format(mod, enc_conf=self._enc_config)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 302, in format
    self._perform_formatting(part_mod.safe_fs_type, part_mod.safe_dev_path)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 230, in _perform_formatting
    raise DiskError(msg) from err
archinstall.lib.exceptions.DiskError: Could not format /dev/sdb1 with fat32: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]: config)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 302, in format
    self._perform_formatting(part_mod.safe_fs_type, part_mod.safe_dev_path)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/disk/device_handler.py", line 230, in _perform_formatting
    raise DiskError(msg) from err
archinstall.lib.exceptions.DiskError: Could not format /dev/sdb1 with fat32: ['/usr/bin/mkfs.fat', '-F32', '/dev/sdb1'] exited with abnormal exit code [1]:

请问如何解决

最近编辑记录 BreadCat209 (2023-10-13 10:07:20)


[mbm@ArchLinux:~]$ sudo rm -rf /*

离线

#2 2023-10-10 20:44:50

BreadCat209
K.I.S.S.
注册时间: 2023-09-09
帖子: 111

Re: [已解决]archinstall问题

貌似是缺少软件包,没找到在哪下载


[mbm@ArchLinux:~]$ sudo rm -rf /*

离线

#3 2023-10-10 23:11:30

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 304

Re: [已解决]archinstall问题

日志里面没有提到具体是什么原因导致了 mkfs 失败,只说了 mkfs.fat -F32 /dev/sdb1 的 exit code 是 1
看着不像是缺什么包

最近编辑记录 Mr.I (2023-10-10 23:12:53)

离线

#4 2023-10-11 19:53:33

BreadCat209
K.I.S.S.
注册时间: 2023-09-09
帖子: 111

Re: [已解决]archinstall问题

Mr.I 说:

日志里面没有提到具体是什么原因导致了 mkfs 失败,只说了 mkfs.fat -F32 /dev/sdb1 的 exit code 是 1
看着不像是缺什么包

就是缺软件包,没找到哪个软件包提供这个功能捏


[mbm@ArchLinux:~]$ sudo rm -rf /*

离线

#5 2023-10-11 20:45:45

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 304

Re: [已解决]archinstall问题

mkfs.fat 在 core/dosfstools 里面。不过你的问题应该不是缺包,如果你的系统里没有 mkfs.fat 的话,exit code 应该会是 127

离线

#6 2023-10-11 20:55:41

BreadCat209
K.I.S.S.
注册时间: 2023-09-09
帖子: 111

Re: [已解决]archinstall问题

Mr.I 说:

mkfs.fat 在 core/dosfstools 里面。不过你的问题应该不是缺包,如果你的系统里没有 mkfs.fat 的话,exit code 应该会是 127

终端提示如下

fish_shell 说:

[20:53:51] mbm@BCS /home/mbm 
> mkfs.fat
mkfs.fat may be found in the following packages:
  core/dosfstools 4.2-3 /usr/bin/mkfs.fat
[20:53:59] mbm@BCS /home/mbm [127]
>


[mbm@ArchLinux:~]$ sudo rm -rf /*

离线

#7 2023-10-11 21:03:29

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 304

Re: [已解决]archinstall问题

诶奇怪,archinstall 居然说 exit code 是 1,这个明明是 127 嘛
既然问题找到了,那把包装上就好了。

离线

#8 2023-10-11 22:16:04

BreadCat209
K.I.S.S.
注册时间: 2023-09-09
帖子: 111

Re: [已解决]archinstall问题

Mr.I 说:

诶奇怪,archinstall 居然说 exit code 是 1,这个明明是 127 嘛
既然问题找到了,那把包装上就好了。

我不知道哪个包提供这个功能啊!(震怒)


[mbm@ArchLinux:~]$ sudo rm -rf /*

离线

#9 2023-10-11 22:26:48

Mr.I
路人丙
所在地: Kerbal
注册时间: 2015-08-29
帖子: 304

Re: [已解决]archinstall问题

pacman -S core/dosfstools

离线

页脚